dbhtml_dir
Prev | Part 1. HTML Processing Instruction Reference | Next

## dbhtml_dir

dbhtml_dir — Specifies a directory name in which to write files

## Synopsis

    <?dbhtml dir="path"?>

## Description

When chunking output, use the `<?dbhtml dir?>` PI as a child of a chunk source to cause the output of that chunk to be written to the specified directory; also, use it as a child of a `mediaobject` to specify a directory into which any long-description files for that `mediaobject` will be written.

The output directory specification is inherited by all chunks of the descendants of the element. If descendants need to go to a different directory, then add another `<?dbhtml dir?>` processing instruction as a child of the source element for that chunk, and specify the path relative to the ancestor path.

For example, to put most chunk files into `shared` but one chapter into `exception` at the same level, use:

    <book>
      <?dbhtml dir="shared"?>
      ...
      <chapter>
        <?dbhtml dir="../exception"?>
      </chapter>
    </book>

## Parameters

dir="`path`"

  Specifies the pathname for the directory

## Related Global Parameters

`base.dir`

## Related Information in DocBook XSL: The Complete Guide

dbhtml dir processing instruction

Prev | Up | Next
dbhtml_class | Home | dbhtml_filename